Belune
MaintenanceAdmin only

Get WAF Status

GET
/api/maintenance/proxy/waf
AuthorizationBearer <token>

Personal access token whose scope satisfies read — read, deploy, or write all qualify.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/maintenance/proxy/waf"
{  "capability": {    "module": "string",    "state": "string"  },  "enabled": true,  "max_events": 0,  "mode": "string",  "recorder": {    "dropped": 0,    "last_error": "string",    "last_error_at": "2019-08-24T14:15:22Z",    "malformed": 0,    "recorded": 0,    "since": "2019-08-24T14:15:22Z"  },  "retention_days": 0,  "state": {    "active": true,    "error": "string",    "hosts": 0,    "reason": "string"  },  "summary": {    "clients": 0,    "events": 0,    "requests": 0,    "top_clients": [      {        "client_ip": "string",        "events": 0,        "last_seen": "2019-08-24T14:15:22Z"      }    ],    "top_rules": [      {        "category": "string",        "events": 0,        "message": "string",        "rule_id": 0      }    ],    "window_hours": 0  }}